Loading...
Searching...
No Matches
Halide::Internal::Autoscheduler::ScopedStatistic< T > Struct Template Reference

`#include <Statistics.h>`

## Public Member Functions

| ScopedStatistic (const T &value, const std::string &msg)
| ~ScopedStatistic ()

## Public Attributes

const T & | value
std::string | msg

## Detailed Description

template<typename T>
struct Halide::Internal::Autoscheduler::ScopedStatistic< T >

Definition at line 18 of file Statistics.h.

## Constructor & Destructor Documentation

## ScopedStatistic()

template<typename T>

Halide::Internal::Autoscheduler::ScopedStatistic< T >::ScopedStatistic | ( | const T & | value,
|  | const std::string & | msg )

inline

Definition at line 22 of file Statistics.h.

References msg, and value.

## ~ScopedStatistic()

template<typename T>

Halide::Internal::Autoscheduler::ScopedStatistic< T >::~ScopedStatistic | ( |  | ) |

inline

Definition at line 27 of file Statistics.h.

References msg, and value.

## Member Data Documentation

## value

template<typename T>

const T& Halide::Internal::Autoscheduler::ScopedStatistic< T >::value

Definition at line 19 of file Statistics.h.

Referenced by ScopedStatistic(), and ~ScopedStatistic().

## msg

template<typename T>

std::string Halide::Internal::Autoscheduler::ScopedStatistic< T >::msg

Definition at line 20 of file Statistics.h.

Referenced by ScopedStatistic(), and ~ScopedStatistic().

The documentation for this struct was generated from the following file:

- src/autoschedulers/anderson2021/Statistics.h